gnutls_privkey_get_type(3)

NAME
gnutls_privkey_get_type - API function

SYNOPSIS
#include <gnutls/abstract.h>

gnutls_privkey_type_t gnutls_privkey_get_type(gnutls_privkey_t key);

ARGUMENTS

gnutls_privkey_t key
    should contain a gnutls_privkey_t structure

DESCRIPTION
This function will return the type of the private key. This is actually the type of the subsystem used to set this private key.

RETURNS
a member of the gnutls_privkey_type_t enumeration on success, or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/